package coach_client

import (
	"context"
	"gitea.timerzz.com/kedaya_haitao/common/pkg/proxy"
	"testing"
)

func TestClient(t *testing.T) {
	subs := []string{"https://us.timerzz.com:26106/vmess/sub", "https://us.timerzz.com:26106/trojan/sub", "https://us.timerzz.com:26106/ssr/sub"}
	pool := proxy.NewProxyPool(subs)
	client := USClient(pool)
	resp, err := client.ViewAllBags(context.Background(), 1)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(resp)
}
